Mass rebuild for GCC ABI changes


(Luca Giambonini) #22

Most of them are done, and are uploaded to [testing].
If you need a specific pkg that was not prepared now you can write here.


(kepszlok) #23

Woooah, something did disabled [testing] in this Chakra
 Dunno what happend. o.O

Btw, this is the check-links situation after the upgrade: There are still a couple of entries.

Broken package report

┌──────────────────┬─────────────────────────────────────────────────────────────────────────┬────────────────────────────┐
│  Broken package  │                               Broken file                               │     Missing .so files      │
├──────────────────┌─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/libboost_mpi_python3.so.1.66.0                                  │libmpi.so.40                │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/libboost_mpi.so.1.66.0                                          │libmpi.so.40                │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/libboost_graph_parallel.so.1.66.0                               │libmpi_cxx.so.40            │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/libboost_mpi.so.1.66.0                                          │libmpi_cxx.so.40            │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/mpi.so                                                          │libmpi_cxx.so.40            │
│boost-libs        ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/libboost_mpi_python3.so.1.66.0                                  │libmpi_cxx.so.40            │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/libboost_mpi_python.so.1.66.0                                   │libmpi_cxx.so.40            │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/libboost_mpi_python.so.1.66.0                                   │libmpi.so.40                │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/libboost_graph_parallel.so.1.66.0                               │libmpi.so.40                │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/mpi.so                                                          │libmpi.so.40                │
├──────────────────┌─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/qt5/plugins/calligra/formatfilters/calligra_filter_vsdx2odg.so  │libvisio-0.1.so.1           │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/qt5/plugins/calligra/formatfilters/calligra_filter_wpg2odg.so   │libwpg-0.3.so.3             │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/qt5/plugins/calligra/formatfilters/calligra_filter_key2odp.so   │libetonyek-0.1.so.1         │
│calligra          ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/qt5/plugins/calligra/formatfilters/calligra_filter_wps2odt.so   │libwps-0.4.so.4             │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/qt5/plugins/calligra/formatfilters/calligra_filter_wpd2odt.so   │libwpg-0.3.so.3             │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/qt5/plugins/calligra/formatfilters/calligra_filter_wpg2svg.so   │libwpg-0.3.so.3             │
├──────────────────┌─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/sbin/named                                                              │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/sbin/named-checkzone                                                    │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/sbin/dnssec-verify                                                      │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/sbin/named-journalprint                                             │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/bin/nsupdate                                                        │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/sbin/genrandom                                                          │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/sbin/rndc                                                           │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/sbin/dnssec-settime                                                     │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/sbin/rndc                                                               │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/sbin/named-checkconf                                                    │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/sbin/dnssec-signzone                                                │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/sbin/named-checkconf                                                │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/sbin/named-checkzone                                                │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/bin/mdig                                                            │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/sbin/dnssec-dsfromkey                                               │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/bin/named-rrchecker                                                 │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/bin/dig                                                             │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/sbin/named                                                          │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/sbin/rndc-confgen                                                   │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/sbin/nsec3hash                                                          │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/sbin/dnssec-dsfromkey                                                   │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/sbin/dnssec-revoke                                                  │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/bin/host                                                                │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/sbin/rndc-confgen                                                       │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/sbin/nsec3hash                                                      │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/bin/dig                                                                 │libjson-c.so.2              │
│dnsutils          ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/bin/nsupdate                                                            │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/bin/mdig                                                                │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/sbin/isc-hmac-fixup                                                     │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/bin/host                                                            │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/sbin/isc-hmac-fixup                                                 │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/sbin/ddns-confgen                                                       │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/sbin/dnssec-keyfromlabel                                            │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/bin/named-rrchecker                                                     │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/sbin/dnssec-keygen                                                  │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/sbin/dnssec-settime                                                 │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/sbin/genrandom                                                      │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/bin/delv                                                                │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/sbin/lwresd                                                             │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/sbin/lwresd                                                         │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/sbin/dnssec-keygen                                                      │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/bin/nslookup                                                            │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/sbin/named-journalprint                                                 │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/sbin/dnssec-importkey                                                   │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/bin/nslookup                                                        │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/bin/delv                                                            │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/sbin/dnssec-signzone                                                    │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/sbin/dnssec-verify                                                  │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/sbin/dnssec-importkey                                               │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/sbin/dnssec-keyfromlabel                                                │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/sbin/dnssec-revoke                                                      │libjson-c.so.2              │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/sbin/ddns-confgen                                                   │libjson-c.so.2              │
├──────────────────┌─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/ImageMagick-6.9.9/modules-Q16HDRI/coders/wmf.so                 │libwmflite-0.2.so.7         │
│imagemagick       ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/ImageMagick-6.9.9/modules-Q16HDRI/coders/exr.so                 │libIlmImf-Imf_2_0.so.20     │
├──────────────────┌─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│iproute2          │/usr/lib/tc/q_atm.so                                                     │libatm.so.1                 │
├──────────────────┌─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│kde-runtime       │/usr/lib/kde4/exrthumbnail.so                                            │libIlmImf-Imf_2_0.so.20     │
├──────────────────┌─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/kde4/plugins/imageformats/kimg_exr.so                           │libIex-2_0.so.10            │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│kdelibs           │/usr/lib/kde4/plugins/imageformats/kimg_exr.so                           │libHalf.so.10               │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/kde4/plugins/imageformats/kimg_exr.so                           │libIlmImf-Imf_2_0.so.20     │
├──────────────────┌─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│kfilemetadata     │/usr/lib/qt5/plugins/kf5/kfilemetadata/kfilemetadata_epubextractor.so    │libepub.so.0                │
├──────────────────┌─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│kget              │/usr/lib/qt5/plugins/kget/kget_bittorrent.so                             │libKF5Torrent.so.6          │
├──────────────────┌─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│kreport           │/usr/lib/qt5/plugins/kreport3/org.kde.kreport.maps.so                    │libmarblewidget-qt5.so.27   │
├──────────────────┌─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│libpurple         │/usr/lib/purple-2/tcl.so                                                 │libtk8.6.so                 │
├──────────────────┌─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/sbin/sensord                                                            │librrd.so.8                 │
│lm_sensors        ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/sbin/sensord                                                        │librrd.so.8                 │
├──────────────────┌─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/mlt/libmltopencv.so                                             │libopencv_core.so.3.1       │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/mlt/libmltsox.so                                                │libsox.so.3                 │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│mlt               │/usr/lib/mlt/libmltopencv.so                                             │libopencv_tracking.so.3.1   │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/mlt/libmltopengl.so                                             │libmovit.so.7               │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/mlt/libmltopencv.so                                             │libopencv_imgproc.so.3.1    │
├──────────────────┌─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/qt5/plugins/okular/generators/okularGenerator_epub.so           │libepub.so.0                │
│okular            ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/qt5/plugins/okular/generators/okularGenerator_mobi.so           │libqmobipocket.so.2         │
├──────────────────┌─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│plasma-workspace  │/usr/lib/qt5/plugins/plasma-geolocation-gps.so                           │libgps.so.22                │
├──────────────────┌─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│pulseaudio        │/usr/lib/pulse-10.0/modules/module-lirc.so                               │liblirc_client.so.0         │
├──────────────────┌─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│python2           │/usr/lib/python2.7/lib-dynload/_tkinter.so                               │libtk8.6.so                 │
├──────────────────┌─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│python3           │/usr/lib/python3.6/lib-dynload/_tkinter.cpython-36m-x86_64-linux-gnu.so  │libtk8.6.so                 │
├──────────────────┌─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/qt/plugins/sqldrivers/libqsqlpsql.so                            │libpq.so.5                  │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│qt                │/usr/lib/qt/plugins/sqldrivers/libqsqlodbc.so                            │libodbc.so.2                │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/qt/plugins/sqldrivers/libqsqltds.so                             │libsybdb.so.5               │
├──────────────────┌─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/qt5/plugins/sqldrivers/libqsqltds.so                            │libsybdb.so.5               │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│qt5-base          │/usr/lib/qt5/plugins/sqldrivers/libqsqlodbc.so                           │libodbc.so.2                │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/qt5/plugins/sqldrivers/libqsqlpsql.so                           │libpq.so.5                  │
├──────────────────┌─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│qt5-multimedia    │/usr/lib/qt5/plugins/mediaservice/libgstcamerabin.so                     │libgstphotography-1.0.so.0  │
├──────────────────┌─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/qt5/plugins/texttospeech/libqtexttospeech_speechd.so            │libspeechd.so.2             │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/qt5/plugins/texttospeech/libqttexttospeech_flite.so             │libflite_cmu_us_kal16.so.1  │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│qt5-speech        │/usr/lib/qt5/plugins/texttospeech/libqttexttospeech_flite.so             │libflite.so.1               │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/qt5/plugins/texttospeech/libqttexttospeech_flite.so             │libflite_usenglish.so.1     │
│                  ├─────────────────────────────────────────────────────────────────────────┌─────────────────────────────
│                  │/usr/lib/qt5/plugins/texttospeech/libqttexttospeech_flite.so             │libflite_cmulex.so.1        │
└──────────────────┮─────────────────────────────────────────────────────────────────────────┮────────────────────────────┘

(Luca Giambonini) #24

Except from dnsutils all the other missing deps are “optional dependencies” that you don’t have installed, that’s why are shown there in the list.

dnsutils can be safely removed, is no more provided in our repository.
see also: https://www.archlinux.org/todo/dnsutils-to-ldns-migration/


(Neofytos Kolokotronis) #25

So this looks ready to move to testing.

If you think there is some specific issue or broken package we missed that should stop us from this move, please leave a comment asap so we can fix it!

Otherwise we will compile Plasma 5.12.2 once it is out and then we will move everything to the stable repositories.


(dinolib) #26

Please, be aware that testing this morning is broken. Last qt5 5.10.1 is not complete.
Fortunately I recovered with /var/cache/pacman backup.

Testing is now usable again. Thank you!


(Francesco Marinucci) #27

Look like the latest update fixed the backlight issue, now the keys and on-screen notification are working fine.


(tom) #28

the last update fixed it and everything is working fine again


(Fireshadow 3) #29

In my case, Natron, blender and playonlinux are all broken and don’t start.
Here is my chakra-check-links output:

chakra-check-links output

fireshadow3.txt (133.7 KB)

The output for everyone of them is:

Output for programs

$Natron
Natron: error while loading shared libraries: libboost_serialization.so.1.63.0: cannot open shared object file: No such file or directory
$blender
blender: error while loading shared libraries: libOpenImageIO.so.1.7: cannot open shared object file: No such file or directory
$playonlinux
Looking for python
 2.7.14 - wxversion(s): 3.0-gtk2
23:59:35: Warning: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler with C++ ABI 1011,wx containers,compatible with 2.8),
and wxPython used 3.0 (wchar_t,compiler with C++ ABI 1002,wx containers,compatible with 2.8).
/usr/lib64/python2.7/site-packages/wx-3.0-gtk2/wx/_core.py:16629: UserWarning: wxPython/wxWidgets release number mismatch
warnings.warn(“wxPython/wxWidgets release number mismatch”)
Traceback (most recent call last):
File “/usr/share/playonlinux/python/check_python.py”, line 7, in
import wx
File “/usr/lib64/python2.7/site-packages/wx-3.0-gtk2/wx/init.py”, line 45, in
from wx._core import *
File “/usr/lib64/python2.7/site-packages/wx-3.0-gtk2/wx/_core.py”, line 16921, in
from _windows import *
File “/usr/lib64/python2.7/site-packages/wx-3.0-gtk2/wx/_windows.py”, line 4, in
import windows
ImportError: /usr/lib64/python2.7/site-packages/wx-3.0-gtk2/wx/windows.so: symbol _ZThn632_N13wxHtmlListBox10RefreshAllEv, version WXU_3.0 not defined in file libwx_gtk2u_html-3.0.so.0 with link time reference
failed tests
Looking for python2.7
 2.7.14 - wxversion(s): 3.0-gtk2
23:59:35: Warning: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler with C++ ABI 1011,wx containers,compatible with 2.8),
and wxPython used 3.0 (wchar_t,compiler with C++ ABI 1002,wx containers,compatible with 2.8).
/usr/lib64/python2.7/site-packages/wx-3.0-gtk2/wx/_core.py:16629: UserWarning: wxPython/wxWidgets release number mismatch
warnings.warn(“wxPython/wxWidgets release number mismatch”)
Traceback (most recent call last):
File “/usr/share/playonlinux/python/check_python.py”, line 7, in
import wx
File “/usr/lib64/python2.7/site-packages/wx-3.0-gtk2/wx/init.py”, line 45, in
from wx._core import *
File “/usr/lib64/python2.7/site-packages/wx-3.0-gtk2/wx/_core.py”, line 16921, in
from _windows import *
File “/usr/lib64/python2.7/site-packages/wx-3.0-gtk2/wx/_windows.py”, line 4, in
import windows
ImportError: /usr/lib64/python2.7/site-packages/wx-3.0-gtk2/wx/windows.so: symbol _ZThn632_N13wxHtmlListBox10RefreshAllEv, version WXU_3.0 not defined in file libwx_gtk2u_html-3.0.so.0 with link time reference
failed tests
Looking for python2.6
 which: no python2.6 in (/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/opt/android-sdk/platform-tools:/opt/opencascade/bin:/usr/bin/vendor_perl:/usr/bin/core_perl)

Looking for python2
 2.7.14 - wxversion(s): 3.0-gtk2
23:59:35: Warning: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler with C++ ABI 1011,wx containers,compatible with 2.8),
and wxPython used 3.0 (wchar_t,compiler with C++ ABI 1002,wx containers,compatible with 2.8).
/usr/lib64/python2.7/site-packages/wx-3.0-gtk2/wx/_core.py:16629: UserWarning: wxPython/wxWidgets release number mismatch
warnings.warn(“wxPython/wxWidgets release number mismatch”)
Traceback (most recent call last):
File “/usr/share/playonlinux/python/check_python.py”, line 7, in
import wx
File “/usr/lib64/python2.7/site-packages/wx-3.0-gtk2/wx/init.py”, line 45, in
from wx._core import *
File “/usr/lib64/python2.7/site-packages/wx-3.0-gtk2/wx/_core.py”, line 16921, in
from _windows import *
File “/usr/lib64/python2.7/site-packages/wx-3.0-gtk2/wx/_windows.py”, line 4, in
import windows
ImportError: /usr/lib64/python2.7/site-packages/wx-3.0-gtk2/wx/windows.so: symbol _ZThn632_N13wxHtmlListBox10RefreshAllEv, version WXU_3.0 not defined in file libwx_gtk2u_html-3.0.so.0 with link time reference
failed tests
Please install python before trying to run this program

Edit:
How did you get the good looking chakra-check-links table?
Edit 2:
Thanks :smiley:


(tom) #30

the chakra-check-links output is a html file unfortunately and you must install install one of the optional dependency’s for cli out put


(Hans TovetjÀrn) #31
$ chakra-check-links -h
usage: chakra-check-links [-h] [--cli-only] [--out OUT] [--gui-only]

optional arguments:
  -h, --help         show this help message and exit
  --cli-only, -c     Do not display report in browser
  --out OUT, -o OUT  Path were report should be stored. Default: /tmp
  --gui-only, -g     only show gui output

$ chakra-check-links -c  # With html2text
Checking libraries and binaries
 57%|█████████████████████████████████████████████████████████▋                                           | 8213/14382 [01:52<01:24, 72.74it/s]
Warning: >> Could not open /usr/bin/cupsd; please check permissions
 72%|████████████████████████████████████████████████████████████████████████▎                           | 10397/14382 [02:22<00:54, 73.05it/s]
Warning: >> Could not open /usr/bin/tomoyo-init; please check permissions
 80%|███████████████████████████████████████████████████████████████████████████████▌                    | 11439/14382 [02:26<00:37, 77.98it/s]
Warning: >> Could not open /bin/cupsd; please check permissions
 94%|██████████████████████████████████████████████████████████████████████████████████████████████▍     | 13584/14382 [02:29<00:08, 90.63it/s]
Warning: >> Could not open /bin/tomoyo-init; please check permissions
100%|████████████████████████████████████████████████████████████████████████████████████████████████████| 14382/14382 [02:33<00:00, 93.75it/s]
Determining broken packages
100%|██████████████████████████████████████████████████████████████████████████████████████████████████████████| 68/68 [00:21<00:00,  3.21it/s]

****** Broken package report ******
                                                                               
|Broken package|Broken file                        |Missing .so files          |
|              |/usr/lib/python2.7/site-packages/  |libboost_python.so.1.65.0  |
|avogadro      |Avogadro.so                        |                           |
|              |/usr/lib/libavogadro.so.1.2.0      |libboost_python.so.1.65.0  |
|              |/usr/lib/qt5/plugins/calligra/     |                           |
|calligra      |formatfilters/                     |libetonyek-0.1.so.1        |
|              |calligra_filter_key2odp.so         |                           |
|              |/bin/converseen                    |libMagick++-6.Q16HDRI.so.6 |
|              |/bin/converseen                    |libMagickCore-             |
|converseen    |                                   |6.Q16HDRI.so.2             |
|              |/usr/bin/converseen                |libMagick++-6.Q16HDRI.so.6 |
|              |/usr/bin/converseen                |libMagickCore-             |
|              |                                   |6.Q16HDRI.so.2             |
|              |/bin/nslookup                      |libreadline.so.6           |
|dnsutils      |/usr/bin/nslookup                  |libreadline.so.6           |
|              |/bin/nsupdate                      |libreadline.so.6           |
|              |/usr/bin/nsupdate                  |libreadline.so.6           |

# ...omitted the rest for the sake of brevity.

$ chakra-check-links -c  # With elinks
Checking libraries and binaries
 57%|█████████████████████████████████████████████████████████                                           | 8212/14395 [00:15<00:11, 519.94it/s]
Warning: >> Could not open /usr/bin/cupsd; please check permissions
 72%|███████████████████████████████████████████████████████████████████████▎                           | 10372/14395 [00:19<00:07, 538.06it/s]
Warning: >> Could not open /usr/bin/tomoyo-init; please check permissions
 79%|██████████████████████████████████████████████████████████████████████████████▌                    | 11428/14395 [00:20<00:05, 547.48it/s]
Warning: >> Could not open /bin/cupsd; please check permissions
 95%|█████████████████████████████████████████████████████████████████████████████████████████████▌     | 13605/14395 [00:24<00:01, 562.57it/s]
Warning: >> Could not open /bin/tomoyo-init; please check permissions
100%|███████████████████████████████████████████████████████████████████████████████████████████████████| 14395/14395 [00:25<00:00, 568.30it/s]
Determining broken packages
100%|██████████████████████████████████████████████████████████████████████████████████████████████████████████| 68/68 [00:08<00:00,  8.21it/s]
                             Broken package report

┌────────────────────────────┬─────────────────────────────────────────────────────────────────────────┬──────────────────────────────┐
│       Broken package       │                               Broken file                               │      Missing .so files       │
├────────────────────────────┌─────────────────────────────────────────────────────────────────────────┌───────────────────────────────
│                            │/usr/lib/python2.7/site-packages/Avogadro.so                             │libboost_python.so.1.65.0     │
│avogadro                    ├─────────────────────────────────────────────────────────────────────────┌───────────────────────────────
│                            │/usr/lib/libavogadro.so.1.2.0                                            │libboost_python.so.1.65.0     │
├────────────────────────────┌─────────────────────────────────────────────────────────────────────────┌───────────────────────────────
│calligra                    │/usr/lib/qt5/plugins/calligra/formatfilters/calligra_filter_key2odp.so   │libetonyek-0.1.so.1           │
├────────────────────────────┌─────────────────────────────────────────────────────────────────────────┌───────────────────────────────
│                            │/usr/bin/converseen                                                      │libMagick++-6.Q16HDRI.so.6    │
│                            ├─────────────────────────────────────────────────────────────────────────┌───────────────────────────────
│                            │/bin/converseen                                                          │libMagick++-6.Q16HDRI.so.6    │
│converseen                  ├─────────────────────────────────────────────────────────────────────────┌───────────────────────────────
│                            │/bin/converseen                                                          │libMagickCore-6.Q16HDRI.so.2  │
│                            ├─────────────────────────────────────────────────────────────────────────┌───────────────────────────────
│                            │/usr/bin/converseen                                                      │libMagickCore-6.Q16HDRI.so.2  │
├────────────────────────────┌─────────────────────────────────────────────────────────────────────────┌───────────────────────────────
│                            │/usr/bin/nslookup                                                        │libreadline.so.6              │
│                            ├─────────────────────────────────────────────────────────────────────────┌───────────────────────────────
│                            │/bin/nslookup                                                            │libreadline.so.6              │
│dnsutils                    ├─────────────────────────────────────────────────────────────────────────┌───────────────────────────────
│                            │/bin/nsupdate                                                            │libreadline.so.6              │
│                            ├─────────────────────────────────────────────────────────────────────────┌───────────────────────────────
│                            │/usr/bin/nsupdate                                                        │libreadline.so.6              │
├────────────────────────────┌─────────────────────────────────────────────────────────────────────────┌───────────────────────────────
# ...omitted the rest for the sake of brevity.
└────────────────────────────┮─────────────────────────────────────────────────────────────────────────┮──────────────────────────────┘

This is the HTML, for reference:

Broken package Broken file Missing .so files
avogadro /usr/lib/python2.7/site-packages/Avogadro.so libboost_python.so.1.65.0
/usr/lib/libavogadro.so.1.2.0 libboost_python.so.1.65.0
calligra /usr/lib/qt5/plugins/calligra/formatfilters/calligra_filter_key2odp.so libetonyek-0.1.so.1
converseen /usr/bin/converseen libMagickCore-6.Q16HDRI.so.2
/usr/bin/converseen libMagick++-6.Q16HDRI.so.6
/bin/converseen libMagickCore-6.Q16HDRI.so.2
/bin/converseen libMagick++-6.Q16HDRI.so.6
dnsutils /bin/nsupdate libreadline.so.6
/usr/bin/nslookup libreadline.so.6
/bin/nslookup libreadline.so.6
/usr/bin/nsupdate libreadline.so.6
ffmpeg2.8 /usr/lib/ffmpeg2.8/libavfilter.so.5.40.101 libass.so.5
frei0r-plugins /usr/lib/frei0r-1/facedetect.so libopencv_flann.so.3.1
/usr/lib/frei0r-1/facedetect.so libopencv_core.so.3.1
/usr/lib/frei0r-1/facebl0r.so libopencv_photo.so.3.1
/usr/lib/frei0r-1/facedetect.so libopencv_imgcodecs.so.3.1
/usr/lib/frei0r-1/facebl0r.so libopencv_ml.so.3.1
/usr/lib/frei0r-1/facedetect.so libopencv_features2d.so.3.1
/usr/lib/frei0r-1/facebl0r.so libopencv_core.so.3.1
/usr/lib/frei0r-1/facebl0r.so libopencv_imgproc.so.3.1
/usr/lib/frei0r-1/facedetect.so libopencv_ml.so.3.1
/usr/lib/frei0r-1/facebl0r.so libopencv_features2d.so.3.1
/usr/lib/frei0r-1/facedetect.so libopencv_imgproc.so.3.1
/usr/lib/frei0r-1/facebl0r.so libopencv_imgcodecs.so.3.1
/usr/lib/frei0r-1/facebl0r.so libopencv_video.so.3.1
/usr/lib/frei0r-1/facedetect.so libopencv_shape.so.3.1
/usr/lib/frei0r-1/facebl0r.so libopencv_superres.so.3.1
/usr/lib/frei0r-1/facebl0r.so libopencv_stitching.so.3.1
/usr/lib/frei0r-1/facedetect.so libopencv_video.so.3.1
/usr/lib/frei0r-1/facebl0r.so libopencv_objdetect.so.3.1
/usr/lib/frei0r-1/facebl0r.so libopencv_highgui.so.3.1
/usr/lib/frei0r-1/facedetect.so libopencv_calib3d.so.3.1
/usr/lib/frei0r-1/facedetect.so libopencv_photo.so.3.1
/usr/lib/frei0r-1/facebl0r.so libopencv_shape.so.3.1
/usr/lib/frei0r-1/facedetect.so libopencv_videostab.so.3.1
/usr/lib/frei0r-1/facedetect.so libopencv_videoio.so.3.1
/usr/lib/frei0r-1/facebl0r.so libopencv_videostab.so.3.1
/usr/lib/frei0r-1/facebl0r.so libopencv_calib3d.so.3.1
/usr/lib/frei0r-1/facedetect.so libopencv_superres.so.3.1
/usr/lib/frei0r-1/facebl0r.so libopencv_videoio.so.3.1
/usr/lib/frei0r-1/facedetect.so libopencv_stitching.so.3.1
/usr/lib/frei0r-1/facebl0r.so libopencv_flann.so.3.1
/usr/lib/frei0r-1/facedetect.so libopencv_highgui.so.3.1
/usr/lib/frei0r-1/facedetect.so libopencv_objdetect.so.3.1
gpgmepp /usr/lib/libKF5Gpgmepp-pthread.so.5.3.1 libgpgme-pthread.so.11
graphviz /usr/lib/graphviz/tcl/libtkspline.so.0.0.0 libtk8.6.so
gstreamer0.10-bad-plugins /usr/lib/gstreamer-0.10/libgstassrender.so libass.so.5
/usr/lib/gstreamer-0.10/libgsttrm.so libmusicbrainz.so.4
/usr/lib/gstreamer-0.10/libgstvp8.so libvpx.so.3
gstreamer0.10-good-plugins /usr/lib/gstreamer-0.10/libgstaasink.so libncursesw.so.5
gstreamer0.10-ugly-plugins /usr/lib/gstreamer-0.10/libgstcdio.so libcdio.so.14
imagemagick /usr/lib/ImageMagick-6.9.9/modules-Q16HDRI/coders/exr.so libIlmImf-Imf_2_0.so.20
iproute2 /usr/lib/tc/q_atm.so libatm.so.1
js /bin/js24 libreadline.so.6
/usr/bin/js24 libreadline.so.6
kdb /usr/lib/libKDb3.so.3.0 libicui18n.so.56
/usr/lib/qt5/plugins/kdb3/sqlite3/kdb_sqlite_icu.so libicui18n.so.56
/usr/lib/qt5/plugins/kdb3/sqlite3/kdb_sqlite_icu.so libicuuc.so.56
kde-runtime /usr/lib/kde4/exrthumbnail.so libIlmImf-Imf_2_0.so.20
kdebindings-smokekde /usr/lib/libsmokekate.so.3.0.0 libkateinterfaces.so.4
/usr/lib/libsmokenepomuk.so.3.0.0 libnepomuk.so.4
/usr/lib/libsmokenepomukquery.so.3.0.0 libnepomuk.so.4
/usr/lib/libsmokenepomukquery.so.3.0.0 libnepomukquery.so.4
/usr/lib/libsmokeokular.so.3.0.0 libokularcore.so.6
kdepimlibs4 /usr/lib/libkcal.so.4.14.27 libicalss.so.0
/usr/lib/libkcal.so.4.14.27 libical.so.0
/usr/lib/libkcalcore.so.4.14.27 libical.so.0
/usr/lib/libkcalcore.so.4.14.27 libicalss.so.0
kfilemetadata /usr/lib/qt5/plugins/kf5/kfilemetadata/kfilemetadata_epubextractor.so libepub.so.0
kreport /usr/lib/qt5/plugins/kreport3/org.kde.kreport.maps.so libmarblewidget-qt5.so.27
libkexiv2_4 /usr/lib/libkexiv2.so.11.3.0 libexiv2.so.14
libmarble4 /usr/lib/marble4/plugins/libWlocatePositionProviderPlugin.so libwlocate.so
/usr/lib/marble4/plugins/libGpsdPositionProviderPlugin.so libgps.so.22
lm_sensors /usr/sbin/sensord librrd.so.8
/sbin/sensord librrd.so.8
marble /usr/lib/marble/plugins/libGpsdPositionProviderPlugin.so libgps.so.22
/usr/lib/marble/plugins/libWlocatePositionProviderPlugin.so libwlocate.so
mlt /usr/lib/mlt/libmltopencv.so libopencv_core.so.3.1
/usr/lib/mlt/libmltopencv.so libopencv_tracking.so.3.1
/usr/lib/mlt/libmltopengl.so libmovit.so.7
/usr/lib/mlt/libmltopencv.so libopencv_imgproc.so.3.1
multitail /usr/bin/multitail libncursesw.so.5
/usr/bin/multitail libpanelw.so.5
/bin/multitail libncursesw.so.5
/bin/multitail libpanelw.so.5
obex-data-server /usr/bin/obex-data-server libMagickWand-6.Q16HDRI.so.2
/bin/obex-data-server libMagickWand-6.Q16HDRI.so.2
octave /usr/lib/octave/4.2.1/liboctgui.so.2.0.0 libgfortran.so.3
/usr/lib/octave/4.2.1/liboctave.so.4.0.0 libgfortran.so.3
/usr/lib/octave/4.2.1/liboctinterp.so.4.0.0 libgfortran.so.3
okular /usr/lib/qt5/plugins/okular/generators/okularGenerator_epub.so libepub.so.0
/usr/lib/qt5/plugins/okular/generators/okularGenerator_mobi.so libqmobipocket.so.2
opengtl /usr/lib/libGTLCore.so.0.9.18 libLLVM-3.4.1.so
/usr/lib/libGTLImageIO.so.0.9.18 libLLVM-3.4.1.so
/usr/lib/libGTLFragment.so.0.9.18 libLLVM-3.4.1.so
/usr/bin/shivanimator libLLVM-3.4.1.so
/bin/shivanimator libLLVM-3.4.1.so
/usr/lib/libOpenCTL.so.0.9.18 libLLVM-3.4.1.so
/usr/lib/libOpenShiva.so.0.9.18 libLLVM-3.4.1.so
plasma-workspace /usr/lib/qt5/plugins/plasma-geolocation-gps.so libgps.so.22
pstoedit /usr/lib/pstoedit/libp2edrvmagick++.so.0.0.0 libMagickCore-6.Q16HDRI.so.2
/usr/lib/pstoedit/libp2edrvmagick++.so.0.0.0 libMagickWand-6.Q16HDRI.so.2
/usr/lib/pstoedit/libp2edrvmagick++.so.0.0.0 libMagick++-6.Q16HDRI.so.6
pulseaudio /usr/lib/pulse-10.0/modules/module-lirc.so liblirc_client.so.0
python2 /usr/lib/python2.7/lib-dynload/_tkinter.so libtk8.6.so
python3 /usr/lib/python3.6/lib-dynload/_tkinter.cpython-36m-x86_64-linux-gnu.so libtk8.6.so
python3-pyqt5 /usr/lib/python3.6/site-packages/PyQt5/QtNetworkAuth.so libQt5NetworkAuth.so.5
/usr/lib/python3.6/site-packages/PyQt5/QtNfc.so libQt5Nfc.so.5
/usr/lib/python3.6/site-packages/PyQt5/QtWebSockets.so libQt5WebSockets.so.5
/usr/lib/python3.6/site-packages/PyQt5/QtBluetooth.so libQt5Bluetooth.so.5
qt5-multimedia /usr/lib/qt5/plugins/mediaservice/libgstcamerabin.so libgstphotography-1.0.so.0
qt5-speech /usr/lib/qt5/plugins/texttospeech/libqttexttospeech_flite.so libflite_cmu_us_kal16.so.1
/usr/lib/qt5/plugins/texttospeech/libqttexttospeech_flite.so libflite_cmulex.so.1
/usr/lib/qt5/plugins/texttospeech/libqttexttospeech_flite.so libflite_usenglish.so.1
/usr/lib/qt5/plugins/texttospeech/libqttexttospeech_flite.so libflite.so.1
sox /usr/lib/sox/libsox_fmt_opus.so libopusfile.so.0
strigi /usr/lib/strigi/strigiea_jpeg.so libexiv2.so.14
v8 /usr/lib/libv8.so libicui18n.so.56
/usr/lib/libv8.so libicuuc.so.56
/usr/bin/d8 libreadline.so.6
/bin/d8 libreadline.so.6
valgrind /usr/lib/valgrind/libmpiwrap-amd64-linux.so libmpi.so.20
vlc /usr/lib/vlc/plugins/codec/liblibass_plugin.so libass.so.5
/usr/lib/vlc/plugins/codec/libvpx_plugin.so libvpx.so.3
/usr/lib/vlc/plugins/codec/libx265_plugin.so libx265.so.68
/usr/lib/vlc/plugins/visualization/libgoom_plugin.so libgoom2.so.0
/usr/lib/vlc/plugins/access/libvcdx_plugin.so libiso9660.so.10
/usr/lib/vlc/plugins/access/libvcdx_plugin.so libcdio.so.16
/usr/lib/vlc/plugins/control/liblirc_plugin.so liblirc_client.so.0
/usr/lib/vlc/plugins/visualization/libprojectm_plugin.so libprojectM.so.2
xine-lib /usr/lib/xine/plugins/2.6/xineplug_decode_image.so libMagickWand-6.Q16HDRI.so.2
/usr/lib/xine/plugins/2.6/xineplug_decode_image.so libMagickCore-6.Q16HDRI.so.2
/usr/lib/xine/plugins/2.6/xineplug_inp_vcd.so libiso9660.so.10
/usr/lib/xine/plugins/2.6/xineplug_inp_vcd.so libcdio.so.16
/usr/lib/xine/plugins/2.6/xineplug_decode_libvpx.so libvpx.so.3

(Fireshadow 3) #32

Thanks for the help guys! Edited my post with a link to download the log.


(Jeff Huang) #33

playonlinux should be fixed with wxpython 3.0.2.0-2 now :smiley:


(Fireshadow 3) #34

Can confirm, works fine now!


(Neofytos Kolokotronis) #35

Natron should also be fixed. Is blender still broken?


(Francesco) #36

Hi!

I think there is a problem with some python packages and I think it’s related to this upgrade.

If you try in a terminal to do:

from scipy import optimize

You get this error:

ImportError: libgfortran.so.3: impossible to open shared object: File o directory not existing

It affects both python2 and python3. I tried to install scipy with pip and it work, so probably these packages only need to be properly recompiled (they should be python2-scipy, python3-scipy and maybe also python2-numpy, python3-numpy).

Let me know if I have you open a bug report on the bugtraker.

Thanks!


(tom) #37

i couldn’t get access to my touchpad settings because tapping isn’t possible now.
libinput is the reason why it doesn’t work perhaps


(Fireshadow 3) #38

Yes, with the same error:
blender: error while loading shared libraries: libOpenImageIO.so.1.7: cannot open shared object file: No such file or directory
(I do have openimageio installed)


(Neofytos Kolokotronis) #39

I see you already reported it, thanks for that. I left a comment there for @AlmAck. Hopefully he or some other packager can resolve this soon.


(Francesco) #40

Scipy problem solved with the last update to scipy-1.0

Thanks a lot!


(Hans TovetjÀrn) #41

The packages involved in this announcement are no longer in the [testing] repository but were moved to the stable repositories on 2018-02-25, which was announced here. Please continue there if you still experience issues related to this.